%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	DB_Sqlite_Tools
Summary:	%{_pearname} - OO interface designed to effectively manage and backup Sqlite databases
Summary(pl.UTF-8):	%{_pearname} - zorientowany obiektowo interfejs do efektywnego zarządzania bazami Sqlite
Name:		php-pear-%{_pearname}
Version:	0.1.7
Release:	3
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	299ccb57141801b5db7edaca54b6862d
URL:		http://pear.php.net/package/DB_Sqlite_Tools/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 5.0.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB_Sqlite_Tools is extends the native PHP-sqlite function by providing
a comprehensive solution for database backup, live replication, export
in XML format, performance optmization and more. It is designed for
the maintenance and optimisation of several sqlite databases.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
DB_Sqlite_Tools rozszerza natywne funkcje PHP do obsługi sqlite
dostarczając kompletnego rozwiązania do tworzenia kopii zapasowych baz
danych, replikacji "na żywo", eksportowania danych do formatu XML,
optymalizacji szybkości. Klasa ta została zaprojektowana do obsługi
wielu baz danych sqlite.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# package build script
rm .%{php_pear_dir}/generate_package_xml.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/DB/Sqlite
%{php_pear_dir}/DB/Sqlite/Tools.php
%{php_pear_dir}/DB/Sqlite/Tools
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 38b7cdc
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 489fb6d
- tests are no longer installed - don't try to remove them

* Sat Sep 25 2010 pawelz <pawelz@pld-linux.org> 9f277b5
- added "- rel 2" to the previous commit log

* Sat Sep 25 2010 pawelz <pawelz@pld-linux.org> 4da6525
- added missing %dir %{php_pear_dir}/DB/Sqlite
- rel 2

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> afd01c0
- up to 0.1.7

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 06d1880
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5918de9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c62e85c
- converted to UTF-8

* Sun Sep 03 2006 Adam Gołębiowski <adamg@pld-linux.org> 83f2edc
- obsolete

* Sun Sep 03 2006 Adam Gołębiowski <adamg@pld-linux.org> 2617049
- updated to 0.1.6

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> f41599b
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 7f6ba6b
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 285e3c3
- rel 4

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 38e0486
- semi automatically added deps from pear

* Tue Sep 20 2005 Elan Ruusamäe <glen@pld-linux.org> fd907bb
- use new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 451bb42
- fixes paths in include call in Tools.php

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> c90589c
- fix small path typo in %%instal
- added path_fix (fixes path in include() )
- release 3

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> 4a83f83
- rebuild with new PEAR provides/requires scripts
- release 2

* Fri Oct 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 2afa750
- updated to 0.1.3

* Wed Sep 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 1865db2
- updated to 0.1.1

